<?php

/**
 * @author Ermek
 * @copyright Hire-Experts LLC
 * @version UserNote 3.1
 */

$plugin_name = "User Notes";
$plugin_version = "3.10";
$req_core_version = "3.01";
$plugin_type = "he_user_note";
$plugin_desc = "This plugin lets administrator and users create notes about other users.";
$plugin_icon = "he_user_note_icon.png";
$plugin_menu_title = "";
$plugin_pages_main = "";
$plugin_pages_level = "690699009<!>admin_levels_usernotesettings.php<~!~>";
$plugin_db_charset = 'utf8';
$plugin_db_collation = 'utf8_unicode_ci';
$plugin_reindex_totals = TRUE;

if( $install=="he_user_note" )
{
	//check core library
	$sql = "SELECT `plugin_version` FROM `se_plugins` WHERE plugin_type='he_core' AND `plugin_disabled`=0 LIMIT 1";
	$resource = $database->database_query($sql) or die($database->database_error()." <b>SQL was: </b>$sql");
	$core_version = $database->database_fetch_array($resource);
	if ( floatval($core_version[0]) < floatval($req_core_version) ) {
		die ('This plugin requires Hire-Experts Core Library. Please install latest version of Hire-Experts Core Library plugin. You can download it from My Plugins section in Hire-Experts.com for FREE.');
	}

	//######### GET CURRENT PLUGIN INFORMATION
	$sql = "SELECT * FROM se_plugins WHERE plugin_type='{$plugin_type}' LIMIT 1";
	$resource = $database->database_query($sql) or die($database->database_error()." <b>SQL was: </b>$sql");

	$plugin_info = array();
	if( $database->database_num_rows($resource) )
	{
		$plugin_info = $database->database_fetch_assoc($resource);
	}


	//######### INSERT ROW INTO se_plugins
	$sql = "SELECT NULL FROM se_plugins WHERE plugin_type='$plugin_type'";
	$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

	if( !$database->database_num_rows($resource) )
	{
		$sql = "
		  INSERT INTO se_plugins (
			plugin_name,
			plugin_version,
			plugin_type,
			plugin_desc,
			plugin_icon,
			plugin_menu_title,
			plugin_pages_main,
			plugin_pages_level,
			plugin_url_htaccess
		  ) VALUES (
			'$plugin_name',
			'$plugin_version',
			'$plugin_type',
			'".str_replace("'", "\'", $plugin_desc)."',
			'$plugin_icon',
			'$plugin_menu_title',
			'$plugin_pages_main',
			'$plugin_pages_level',
			''
		  )
		";

		$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
	}

	//######### UPDATE PLUGIN VERSION IN se_plugins
	else
	{
		$sql = "
		  UPDATE
			se_plugins
		  SET
			plugin_name='$plugin_name',
			plugin_version='$plugin_version',
			plugin_desc='".str_replace("'", "\'", $plugin_desc)."',
			plugin_icon='$plugin_icon',
			plugin_menu_title='$plugin_menu_title',
			plugin_pages_main='$plugin_pages_main',
			plugin_pages_level='$plugin_pages_level',
			plugin_url_htaccess=''
		  WHERE
			plugin_type='$plugin_type'
		";

		$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
	}



  //######### CREATE se_he_quiz
	$sql = "SHOW TABLES FROM `$database_name` LIKE 'se_he_user_note'";
	$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

	if( !$database->database_num_rows($resource) )
	{
	$sql = "
		CREATE TABLE `se_he_user_note` (
		  `viewer_id` int(11) unsigned NOT NULL,
		  `user_id` int(11) unsigned NOT NULL,
		  `note` text NOT NULL,
		  UNIQUE KEY `viewer_id` (`viewer_id`,`user_id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;
	";

	$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);
	}

	$sql = "SHOW COLUMNS FROM `".$database_name."`.`se_levels` LIKE 'level_usernote_allowed'";
	$resource = $database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql);

	if ( !$database->database_num_rows($resource) )
	{
		$sql = "ALTER TABLE `se_levels` ADD COLUMN `level_usernote_allowed` TINYINT(1) NOT NULL DEFAULT '1'";
		$database->database_query($sql) or die("<b>Error: </b>".$database->database_error()."<br /><b>File: </b>".__FILE__."<br /><b>Line: </b>".__LINE__."<br /><b>Query: </b>".$sql); 
	}

	//######### ADD VALUES TO LANGS TABLE
	$he_languagevars = array
	(
		'690699000' => 'My note about %1$s',
		'690699001' => 'Edit Note',
		'690699002' => 'Delete Note',
		'690699003' => 'Add note',
		'690699004' => 'Save',
		'690699005' => 'Cancel',
		'690699006' => 'Are you sure you want to delete this note?',
		'690699007' => 'My notes',
		'690699008' => 'No notes',
		'690699009' => 'User Note Settings',
		'690699010' => 'This page contains "User Note" plugin settings. Here you can define, allow users with this user level leave notes on users\\\' profiles.',
		'690699011' => 'Can users leave notes?',
		'690699012' => 'If set to "Yes" users can leave notes.',
		'690699013' => 'Yes, users can leave notes.',
		'690699014' => 'No, users cannot leave notes.',
		'690699015' => 'My notes:'
	);
	
	foreach ($he_languagevars as $langvar_id => $langvar_value)
	{
		$sql = "SELECT `languagevar_id` FROM `se_languagevars`
		   WHERE `languagevar_id`=$langvar_id AND `languagevar_language_id`=1";
		
		if ( $database->database_num_rows($database->database_query($sql)) == 0 )
		{
			$sql = "INSERT INTO `se_languagevars` (`languagevar_id`, `languagevar_language_id`, `languagevar_value`, `languagevar_default`)
				VALUES('$langvar_id', '1', '$langvar_value', 'user_note')";
		}
		else
		{
			$sql = "UPDATE `se_languagevars` SET `languagevar_value`='$langvar_value', `languagevar_default`='user_note'
				WHERE `languagevar_id`=$langvar_id AND `languagevar_language_id`=1";
		}
		$resource = $database->database_query($sql) or die("<b>Error: </b>" . $database->database_error() . "<br /><b>File: </b>" . __FILE__ . "<br /><b>Line: </b>" . __LINE__ . "<br /><b>Query: </b>" . $sql);
	}
}

?>